#include <genesis.h>
#include "LevelManager.h"

void SetupSystem()
{
    SYS_disableInts();
    VDP_setScreenHeight240();
    //VDP_setScreenWidth256();
    VDP_setScreenWidth320();
    SPR_initEx(80, 840, 840);
    SYS_enableInts();
    JoypadManager_Init();
}

int main()
{
    SetupSystem();
    PlayerSetup();
    LevelManagerInit();

    while (TRUE)
    {
        JoypadManager_UpdateJoypad();
        LevelManagerUpdate();
        SPR_update();
        VDP_waitVSync();
    }
    return 0;
}