#ifndef CONSTANTS_INCLUDE_H
#define CONSTANTS_INCLUDE_H

#include <genesis.h>
#define SCREEN_WIDTH 320
#define SCREEN_HEIGHT 224

#define HUD_WIDTH 64
#define HUD_HEIGHT 224

#define VIRTUAL_SCREEN_WIDTH SCREEN_WIDTH - HUD_WIDTH
#define VIRTUAL_SCREEN_HEIGHT 224
#define FLEE_HEIGHT 50

#define HORIZONTAL_SECTION_SECTION_0 1 << 1
#define HORIZONTAL_SECTION_SECTION_1 1 << 2
#define HORIZONTAL_SECTION_SECTION_2 1 << 3
#define HORIZONTAL_SECTION_SECTION_3 1 << 4
#define HORIZONTAL_SECTION_SECTION_4 1 << 5
#define HORIZONTAL_SECTION_SECTION_5 1 << 6
#define HORIZONTAL_SECTION_SECTION_6 1 << 7
#define HORIZONTAL_SECTION_SECTION_7 1 << 8

#define VERTICAL_SIDE_UP 1 << 9
#define VERTICAL_SIDE_DOWN 1 << 10

#define PATH_STRAIGHT 1 << 11
#define PATH_FLEE 1 << 12
#define PATH_FOLLOW 1 << 13

#define BULLET_PATH_STRAIGHT 1 << 14
#define BULLET_PATH_FOLLOW 1 << 15

//#define DEBUG_MODE 1

#endif 