#ifndef LEVEL_MANAGER_INCLUDE_H
#define LEVEL_MANAGER_INCLUDE_H
#include <genesis.h>

extern u16 mapWidth;
extern u16 mapHeight;

extern Map* currentMap;

extern u16 baseTile;
extern u8 const* collisionTiles;

extern u16 halfMapWidth;
extern u16 halfMapHeight;

extern u16 frames;

extern u16 score;

void LevelManagerInit();
void LevelManagerUpdate();
void LevelManagerRestart();

void UpdateHP(u8);
void UpdateMP(u8);

void AddScore(u8);

#endif